[FIXED] npm ERR! code EINTEGRITY when i run vue create project

Issue

when I run vue create project
I have this error:

npm ERR! code EINTEGRITY
npm ERR! Verification failed while extracting node-notifier@^5.4.2:
npm ERR! Verification failed while extracting node-notifier@^5.4.2:
npm ERR! sha1-DLwaKw9lhJO0Ald1oTrZOOlgke8= integrity checksum failed when using sha1: wanted sha1-DLwaKw9lhJO0Ald1oTrZOOlgke8= but got sha512-rCRh2ViyPFxaWIPrbMQGOXoOB13VcwRPbgt2rZ8VLRJDs2zY71jPHoy1mrG2+yH3nRfgezLwGUbYq2V9d2UksQ== sha1-tPoTWxYZZzXidkjUdIfI/IG/QLE=. (524452 bytes)

after I select the preset and some packages are installed the error is shown.

I tried to run npm cache verify several times but when I run it the error is shown with another package.

I also tried npm cache clean --force but the error is still.

Any ideas?

NOTE: I created many projects with vue but the problem started after I reinstalled my operating system (Linux Ubuntu 20.10).

Solution

Roughly one or more package(s) certificates expired. Strict-ssl forces the package source to be it has ssl certificate. Default value of Strict-ssl is true. With this setting, you cannot enforce the package has an ssl certificate :

npm config set Strict-ssl false

Answered By – Batuhan

Answer Checked By – Gilberto Lyons (Easybugfix Admin)

Leave a Reply

(*) Required, Your email will not be published